Bug 333389 - Crash on trying to print
Summary: Crash on trying to print
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Sqlite (show other bugs)
Version: 3.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-04-13 19:42 UTC by Marek Zalfresso-Jundzillo
Modified: 2021-12-17 11:50 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Zalfresso-Jundzillo 2014-04-13 19:42:55 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.13.0
Qt Version: 4.8.6
Operating System: Linux 3.13.0-24-generic x86_64
Distribution: Ubuntu 14.04 LTS

-- Information about the crash:
- What I was doing when the application crashed: I've opened album, then marked all 7 photos there and run printing assistant. Then program have creashed. Second time, I did the same, but with single image and all went OK. Then third time, I tried again mark all photos before runing printing assistant, and then it was also OK.

-- Backtrace:
Application: Photo Layouts Editor (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f6627d97ac0 (LWP 4938))]

Thread 12 (Thread 0x7f66047bf700 (LWP 4939)):
#0  0x00007f662187dfbd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f66093de248 in ?? () from /lib/x86_64-linux-gnu/libusb-1.0.so.0
#2  0x00007f661caa8182 in start_thread (arg=0x7f66047bf700) at pthread_create.c:312
#3  0x00007f662188b30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 11 (Thread 0x7f65fd52f700 (LWP 4940)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f662267b816 in wait (time=18446744073709551615, this=0x154c880) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x154bd80, mutex=mutex@entry=0x154bd78, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005d5ede in Digikam::ScanController::run (this=0x15521b0) at /build/buildd/digikam-3.5.0/core/digikam/database/scancontroller.cpp:725
#4  0x00007f662267b32f in QThreadPrivate::start (arg=0x15521b0) at thread/qthread_unix.cpp:349
#5  0x00007f661caa8182 in start_thread (arg=0x7f65fd52f700) at pthread_create.c:312
#6  0x00007f662188b30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 10 (Thread 0x7f65fcd2e700 (LWP 4941)):
#0  0x00007f661a2963fb in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f661a2989bb in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f661a298f7b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f661a2990ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f66227aa7be in QEventDispatcherGlib::processEvents (this=0x7f65f00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#5  0x00007f662277c0af in QEventLoop::processEvents (this=this@entry=0x7f65fcd2dae0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f662277c3a5 in QEventLoop::exec (this=this@entry=0x7f65fcd2dae0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f6622678c5f in QThread::exec (this=this@entry=0x15570d0) at thread/qthread.cpp:537
#8  0x00007f662275d823 in QInotifyFileSystemWatcherEngine::run (this=0x15570d0) at io/qfilesystemwatcher_inotify.cpp:265
#9  0x00007f662267b32f in QThreadPrivate::start (arg=0x15570d0) at thread/qthread_unix.cpp:349
#10 0x00007f661caa8182 in start_thread (arg=0x7f65fcd2e700) at pthread_create.c:312
#11 0x00007f662188b30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 9 (Thread 0x7f65f7fff700 (LWP 4944)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f662267b816 in wait (time=18446744073709551615, this=0x1894580) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x15d8810, mutex=mutex@entry=0x15d8808, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f662551479a in Digikam::ParkingThread::run (this=0x15d87f0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007f662267b32f in QThreadPrivate::start (arg=0x15d87f0) at thread/qthread_unix.cpp:349
#5  0x00007f661caa8182 in start_thread (arg=0x7f65f7fff700) at pthread_create.c:312
#6  0x00007f662188b30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 8 (Thread 0x7f65f6b67700 (LWP 4945)):
#0  __pthread_mutex_unlock_usercnt (decr=1, mutex=0x7f65e4000a60) at pthread_mutex_unlock.c:51
#1  __GI___pthread_mutex_unlock (mutex=0x7f65e4000a60) at pthread_mutex_unlock.c:310
#2  0x00007f661a2da9c1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f661a298718 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f661a298f03 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f661a2990ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f66227aa7be in QEventDispatcherGlib::processEvents (this=0x7f65e40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#7  0x00007f662277c0af in QEventLoop::processEvents (this=this@entry=0x7f65f6b66ae0, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f662277c3a5 in QEventLoop::exec (this=this@entry=0x7f65f6b66ae0, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007f6622678c5f in QThread::exec (this=this@entry=0x1dcc810) at thread/qthread.cpp:537
#10 0x00007f662275d823 in QInotifyFileSystemWatcherEngine::run (this=0x1dcc810) at io/qfilesystemwatcher_inotify.cpp:265
#11 0x00007f662267b32f in QThreadPrivate::start (arg=0x1dcc810) at thread/qthread_unix.cpp:349
#12 0x00007f661caa8182 in start_thread (arg=0x7f65f6b67700) at pthread_create.c:312
#13 0x00007f662188b30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 7 (Thread 0x7f65b57fa700 (LWP 5039)):
#0  0x00007f661caab7ee in __pthread_mutex_unlock_usercnt (decr=1, mutex=0x7f65a405b970) at pthread_mutex_unlock.c:57
#1  __GI___pthread_mutex_unlock (mutex=0x7f65a405b970) at pthread_mutex_unlock.c:310
#2  0x00007f661a2da9c1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f661a298fd9 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f661a2990ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f66227aa7be in QEventDispatcherGlib::processEvents (this=0x7f65a42f40f0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0x00007f662277c0af in QEventLoop::processEvents (this=this@entry=0x7f65b57f9aa0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f662277c3a5 in QEventLoop::exec (this=this@entry=0x7f65b57f9aa0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f6625513e43 in Digikam::WorkerObjectRunnable::run (this=0x5f9d170) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007f662266efee in QThreadPoolThread::run (this=0x31a2750) at concurrent/qthreadpool.cpp:108
#10 0x00007f662267b32f in QThreadPrivate::start (arg=0x31a2750) at thread/qthread_unix.cpp:349
#11 0x00007f661caa8182 in start_thread (arg=0x7f65b57fa700) at pthread_create.c:312
#12 0x00007f662188b30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 6 (Thread 0x7f65af7fe700 (LWP 5040)):
#0  0x00007f661a2da62a in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f661a2da9b9 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f661a298680 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f661a298f03 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f661a2990ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f66227aa7be in QEventDispatcherGlib::processEvents (this=0x7f6584026370, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0x00007f662277c0af in QEventLoop::processEvents (this=this@entry=0x7f65af7fdaa0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f662277c3a5 in QEventLoop::exec (this=this@entry=0x7f65af7fdaa0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f6625513e43 in Digikam::WorkerObjectRunnable::run (this=0x6222d40) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007f662266efee in QThreadPoolThread::run (this=0x31a3ab0) at concurrent/qthreadpool.cpp:108
#10 0x00007f662267b32f in QThreadPrivate::start (arg=0x31a3ab0) at thread/qthread_unix.cpp:349
#11 0x00007f661caa8182 in start_thread (arg=0x7f65af7fe700) at pthread_create.c:312
#12 0x00007f662188b30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 5 (Thread 0x7f65dfd97700 (LWP 5041)):
#0  0x00007f662187dfbd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f661a298fe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f661a2990ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f66227aa7be in QEventDispatcherGlib::processEvents (this=0x7f65d4025c20, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#4  0x00007f662277c0af in QEventLoop::processEvents (this=this@entry=0x7f65dfd96aa0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f662277c3a5 in QEventLoop::exec (this=this@entry=0x7f65dfd96aa0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f6625513e43 in Digikam::WorkerObjectRunnable::run (this=0x5b2dde0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007f662266efee in QThreadPoolThread::run (this=0x31ac7c0) at concurrent/qthreadpool.cpp:108
#8  0x00007f662267b32f in QThreadPrivate::start (arg=0x31ac7c0) at thread/qthread_unix.cpp:349
#9  0x00007f661caa8182 in start_thread (arg=0x7f65dfd97700) at pthread_create.c:312
#10 0x00007f662188b30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 4 (Thread 0x7f65b4ff9700 (LWP 5042)):
#0  0x00007f661caaa569 in __GI___pthread_mutex_lock (mutex=0x7f65b80381f0) at ../nptl/pthread_mutex_lock.c:125
#1  0x00007f661a2da991 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f661a29887b in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f661a298f52 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f661a2990ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f66227aa7be in QEventDispatcherGlib::processEvents (this=0x7f65b8025c00, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0x00007f662277c0af in QEventLoop::processEvents (this=this@entry=0x7f65b4ff8aa0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f662277c3a5 in QEventLoop::exec (this=this@entry=0x7f65b4ff8aa0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f6625513e43 in Digikam::WorkerObjectRunnable::run (this=0x623cbf0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007f662266efee in QThreadPoolThread::run (this=0x31aaf30) at concurrent/qthreadpool.cpp:108
#10 0x00007f662267b32f in QThreadPrivate::start (arg=0x31aaf30) at thread/qthread_unix.cpp:349
#11 0x00007f661caa8182 in start_thread (arg=0x7f65b4ff9700) at pthread_create.c:312
#12 0x00007f662188b30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7f65de237700 (LWP 5043)):
#0  pthread_mutex_lock (mutex=0x7f65880b5e20) at forward.c:192
#1  0x00007f661a2da991 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f661a298557 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f661a298f03 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f661a2990ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f66227aa7be in QEventDispatcherGlib::processEvents (this=0x7f6588025e60, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0x00007f662277c0af in QEventLoop::processEvents (this=this@entry=0x7f65de236aa0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f662277c3a5 in QEventLoop::exec (this=this@entry=0x7f65de236aa0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f6625513e43 in Digikam::WorkerObjectRunnable::run (this=0x5e830d0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007f662266efee in QThreadPoolThread::run (this=0x31a9210) at concurrent/qthreadpool.cpp:108
#10 0x00007f662267b32f in QThreadPrivate::start (arg=0x31a9210) at thread/qthread_unix.cpp:349
#11 0x00007f661caa8182 in start_thread (arg=0x7f65de237700) at pthread_create.c:312
#12 0x00007f662188b30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f65dd71f700 (LWP 5044)):
#0  0x00007f662187dfbd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f661a298fe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f661a2990ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f66227aa7be in QEventDispatcherGlib::processEvents (this=0x7f65d004a9f0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#4  0x00007f662277c0af in QEventLoop::processEvents (this=this@entry=0x7f65dd71eaa0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f662277c3a5 in QEventLoop::exec (this=this@entry=0x7f65dd71eaa0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f6625513e43 in Digikam::WorkerObjectRunnable::run (this=0x51ed4c0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007f662266efee in QThreadPoolThread::run (this=0x31ac330) at concurrent/qthreadpool.cpp:108
#8  0x00007f662267b32f in QThreadPrivate::start (arg=0x31ac330) at thread/qthread_unix.cpp:349
#9  0x00007f661caa8182 in start_thread (arg=0x7f65dd71f700) at pthread_create.c:312
#10 0x00007f662188b30d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f6627d97ac0 (LWP 4938)):
[KCrash Handler]
#6  0x00000000051f7750 in ?? ()
#7  0x00007f660d957dac in sqlite3MemCompare (pMem1=pMem1@entry=0x7fffca36f1c0, pMem2=<optimized out>, pColl=0x54476b8) at sqlite3.c:60484
#8  0x00007f660d957f63 in sqlite3VdbeRecordCompare (nKey1=18, pKey1=0x7f65f821bfce, pPKey2=pPKey2@entry=0x7fffca36f4c0) at sqlite3.c:64162
#9  0x00007f660d96c579 in sqlite3BtreeMovetoUnpacked (pCur=0x63cebb0, pIdxKey=0x7fffca36f4c0, intKey=0, biasRight=<optimized out>, pRes=0x7fffca36f4b0) at sqlite3.c:55077
#10 0x00007f660d9949c5 in sqlite3VdbeExec (p=p@entry=0x5e71838) at sqlite3.c:70168
#11 0x00007f660d99ced7 in sqlite3Step (p=0x5e71838) at sqlite3.c:64828
#12 sqlite3_step (pStmt=<optimized out>) at sqlite3.c:64894
#13 0x00007f65fc32811c in QSQLiteResultPrivate::fetchNext (this=this@entry=0x62c10c0, values=..., idx=idx@entry=0, initialFetch=initialFetch@entry=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:235
#14 0x00007f65fc328e48 in QSQLiteResult::exec (this=0x59c14b0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:447
#15 0x00007f6627ae8b7d in QSqlQuery::exec (this=this@entry=0x7fffca36f9f8) at kernel/qsqlquery.cpp:949
#16 0x00007f66254cda26 in Digikam::DatabaseCoreBackend::exec (this=0x154f5c0, query=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1414
#17 0x00007f66254cdaac in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x154f5c0, query=..., boundValue1=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1056
#18 0x00007f66254ceb50 in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x154f5c0, sql=..., boundValue1=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1005
#19 0x00007f66254ceb99 in Digikam::DatabaseCoreBackend::execSql (this=0x154f5c0, sql=..., boundValue1=..., values=values@entry=0x7fffca36fa40, lastInsertId=lastInsertId@entry=0x0) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:902
#20 0x00007f6624e9242e in Digikam::AlbumDB::getSetting (this=this@entry=0x14ef7d0, keyword=...) at /build/buildd/digikam-3.5.0/core/libs/database/albumdb.cpp:972
#21 0x00007f6624e92d5c in Digikam::AlbumDB::getFilterSettings (this=0x14ef7d0, imageFilter=imageFilter@entry=0x7fffca36fc80, videoFilter=videoFilter@entry=0x0, audioFilter=audioFilter@entry=0x0) at /build/buildd/digikam-3.5.0/core/libs/database/albumdb.cpp:1017
#22 0x000000000063a2c0 in Digikam::AlbumSettings::getRawFileFilter (this=this@entry=0x15f4460) at /build/buildd/digikam-3.5.0/core/digikam/utils/albumsettings.cpp:958
#23 0x0000000000533f42 in Digikam::KipiInterface::hostSetting (this=this@entry=0x3c2f5b0, settingName=...) at /build/buildd/digikam-3.5.0/core/utilities/kipiiface/kipiinterface.cpp:363
#24 0x00000000005338b4 in Digikam::KipiInterface::currentSelection (this=0x3c2f5b0) at /build/buildd/digikam-3.5.0/core/utilities/kipiiface/kipiinterface.cpp:126
#25 0x00007f655b5d3913 in KIPIPrintImagesPlugin::Plugin_PrintImages::slotPrintAssistantActivate (this=<optimized out>) at /build/buildd/digikam-3.5.0/extra/kipi-plugins/printimages/plugin/plugin_printimages.cpp:153
#26 0x00007f662279187a in QMetaObject::activate (sender=sender@entry=0x3c301d0, m=m@entry=0x7f6623c23de0 <QAction::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fffca370080) at kernel/qobject.cpp:3539
#27 0x00007f6623173a62 in QAction::triggered (this=this@entry=0x3c301d0, _t1=false) at .moc/release-shared/moc_qaction.cpp:276
#28 0x00007f6623175433 in QAction::activate (this=this@entry=0x3c301d0, event=event@entry=QAction::Trigger) at kernel/qaction.cpp:1257
#29 0x00007f66235a3489 in QMenuPrivate::activateCausedStack (this=this@entry=0x252bb00, causedStack=..., action=action@entry=0x3c301d0, action_e=action_e@entry=QAction::Trigger, self=self@entry=true) at widgets/qmenu.cpp:1038
#30 0x00007f66235a79b9 in QMenuPrivate::activateAction (this=0x252bb00, action=0x3c301d0, action_e=action_e@entry=QAction::Trigger, self=self@entry=true) at widgets/qmenu.cpp:1130
#31 0x00007f66235ab385 in QMenu::mouseReleaseEvent (this=this@entry=0x15704e0, e=e@entry=0x7fffca3707b0) at widgets/qmenu.cpp:2372
#32 0x00007f6623f404f5 in KMenu::mouseReleaseEvent (this=0x15704e0, e=0x7fffca3707b0) at ../../kdeui/widgets/kmenu.cpp:464
#33 0x00007f66231c950a in QWidget::event (this=this@entry=0x15704e0, event=event@entry=0x7fffca3707b0) at kernel/qwidget.cpp:8376
#34 0x00007f66235ab7bb in QMenu::event (this=0x15704e0, e=0x7fffca3707b0) at widgets/qmenu.cpp:2481
#35 0x00007f6623179e2c in QApplicationPrivate::notify_helper (this=this@entry=0x137a930, receiver=receiver@entry=0x15704e0, e=e@entry=0x7fffca3707b0) at kernel/qapplication.cpp:4567
#36 0x00007f66231805dd in QApplication::notify (this=this@entry=0x7fffca3713f0, receiver=receiver@entry=0x15704e0, e=e@entry=0x7fffca3707b0) at kernel/qapplication.cpp:4110
#37 0x00007f6623e89baa in KApplication::notify (this=0x7fffca3713f0, receiver=0x15704e0, event=0x7fffca3707b0) at ../../kdeui/kernel/kapplication.cpp:311
#38 0x00007f662277d4dd in QCoreApplication::notifyInternal (this=0x7fffca3713f0, receiver=receiver@entry=0x15704e0, event=event@entry=0x7fffca3707b0) at kernel/qcoreapplication.cpp:953
#39 0x00007f662317fd93 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#40 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x15704e0, event=event@entry=0x7fffca3707b0, alienWidget=alienWidget@entry=0x0, nativeWidget=nativeWidget@entry=0x15704e0, buttonDown=buttonDown@entry=0x7f6623c5f318 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3178
#41 0x00007f66231f4cfc in QETWidget::translateMouseEvent (this=this@entry=0x15704e0, event=event@entry=0x7fffca370b00) at kernel/qapplication_x11.cpp:4568
#42 0x00007f66231f4269 in QApplication::x11ProcessEvent (this=0x7fffca3713f0, event=event@entry=0x7fffca370b00) at kernel/qapplication_x11.cpp:3627
#43 0x00007f662321bb02 in x11EventSourceDispatch (s=0x1375f20, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#44 0x00007f661a298e04 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#45 0x00007f661a299048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#46 0x00007f661a2990ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#47 0x00007f66227aa7a1 in QEventDispatcherGlib::processEvents (this=0x12a3790, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#48 0x00007f662321bbb6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#49 0x00007f662277c0af in QEventLoop::processEvents (this=this@entry=0x7fffca370ed0, flags=...) at kernel/qeventloop.cpp:149
#50 0x00007f662277c3a5 in QEventLoop::exec (this=this@entry=0x7fffca370ed0, flags=...) at kernel/qeventloop.cpp:204
#51 0x00007f6622781b79 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#52 0x00007f662317837c in QApplication::exec () at kernel/qapplication.cpp:3828
#53 0x0000000000492023 in main (argc=<optimized out>, argv=<optimized out>) at /build/buildd/digikam-3.5.0/core/digikam/main/main.cpp:235

Possible duplicates by query: bug 333243, bug 332100, bug 331220, bug 330674, bug 330633.

Reported using DrKonqi
Comment 1 Jekyll Wu 2014-04-14 01:19:49 UTC

*** This bug has been marked as a duplicate of bug 329697 ***
Comment 2 caulier.gilles 2021-12-17 11:50:44 UTC
Fixed with #329697